// srcpage.cpp : implementation file
//

#include "stdafx.h"
#include "epsld52f.h"
#include "srcpage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSrcSetBp dialog

CSrcSetBp::CSrcSetBp()
	: CPropertyPage(CSrcSetBp::IDD)
{
	//{{AFX_DATA_INIT(CSrcSetBp)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSrcSetBp::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSrcSetBp)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSrcSetBp, CPropertyPage)
	//{{AFX_MSG_MAP(CSrcSetBp)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSrcSetBp message handlers
/////////////////////////////////////////////////////////////////////////////
// CSrcBrowse dialog


CSrcBrowse::CSrcBrowse()
	: CPropertyPage(CSrcBrowse::IDD)
{
	//{{AFX_DATA_INIT(CSrcBrowse)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSrcBrowse::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSrcBrowse)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSrcBrowse, CPropertyPage)
	//{{AFX_MSG_MAP(CSrcBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSrcBrowse message handlers
BOOL CSrcBrowse::OnInitDialog()
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
    if(MdlInfo.m_uModules > 0) {
        for(i = 0; i < int(MdlInfo.m_uModules); i ++) {
    		if(SrcCheckModuleHasLineInfo(MdlInfo.m_pModule[i]) != 0)	
    			continue;
            if(SrcGetModuleName(MdlInfo.m_pModule[i], pszName) == 0) {           
                if(pszName[0] != '?')
                    m_ListMdl_2.AddString(pszName);                      
            }             
        }                                    
        if(m_ListMdl_2.GetCount()) {    
            m_ListMdl_2.SetCurSel(0);
            ShowModuleInfo(0);           
        }    
    }
    m_ListInfo_2.SetHorizontalExtent(1000);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}
/////////////////////////////////////////////////////////////////////////////
// CSrcExtName dialog


CSrcExtName::CSrcExtName()
	: CPropertyPage(CSrcExtName::IDD)
{
	//{{AFX_DATA_INIT(CSrcExtName)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSrcExtName::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSrcExtName)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSrcExtName, CPropertyPage)
	//{{AFX_MSG_MAP(CSrcExtName)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSrcExtName message handlers
/////////////////////////////////////////////////////////////////////////////
// CSrcLoadOpt dialog


CSrcLoadOpt::CSrcLoadOpt()
	: CPropertyPage(CSrcLoadOpt::IDD)
{
	//{{AFX_DATA_INIT(CSrcLoadOpt)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSrcLoadOpt::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSrcLoadOpt)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSrcLoadOpt, CPropertyPage)
	//{{AFX_MSG_MAP(CSrcLoadOpt)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSrcLoadOpt message handlers
/////////////////////////////////////////////////////////////////////////////
// CSrcOpt dialog


CSrcOpt::CSrcOpt()
	: CPropertyPage(CSrcOpt::IDD)
{
	//{{AFX_DATA_INIT(CSrcOpt)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSrcOpt::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSrcOpt)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSrcOpt, CPropertyPage)
	//{{AFX_MSG_MAP(CSrcOpt)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSrcOpt message handlers
/////////////////////////////////////////////////////////////////////////////
// CSrcPath dialog


CSrcPath::CSrcPath()
	: CPropertyPage(CSrcPath::IDD)
{
	//{{AFX_DATA_INIT(CSrcPath)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CSrcPath::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSrcPath)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSrcPath, CPropertyPage)
	//{{AFX_MSG_MAP(CSrcPath)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSrcPath message handlers

